Bug 112006 - Axis labels missing on deep axis in 3D column chart
Summary: Axis labels missing on deep axis in 3D column chart
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.4.0.1 rc
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-08-24 14:02 UTC by Regina Henschel
Modified: 2017-09-15 15:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
3D column chart for testing (31.55 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-08-24 14:02 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-08-24 14:02:57 UTC
Created attachment 135765 [details]
3D column chart for testing

Open attached document and look at the chart.
The labels "Mary" and "Tom" are missing.
The error happens not only with xlsx import but with native ODF documents too.

The chart is OK in Version: 5.3.5.2
Build ID: 50d9bf2b0a79cdb85a3814b592608037a682059d
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; Layout Engine: new; 
Locale: de-DE (de_DE); Calc: group

The chart is wrong in Version: 5.4.0.3
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 4; OS: Windows 6.1; UI render: default; 
Locale: de-DE (de_DE); Calc: group
Comment 1 Jacques Guilleron 2017-08-24 17:16:57 UTC
Hi Regina,

I confirm these labels are displayed in
LO 5.3.5.2 Build ID: 50d9bf2b0a79cdb85a3814b592608037a682059d
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; Layout Engine: new; 
Locale : fr-FR (fr_FR); Calc: CL
and missing in
LO 5.4.0.1
Build ID: 962a9c4e2f56d1dbdd354b1becda28edd471f4f2
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: CL
and upper versions.
LO 6.0.0.0.alpha0+ Build ID: 9e4502f0e393d2bc2810488b3ebb0a5c23038436
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-16_08:52:00
Locale: fr-FR (fr_FR); Calc: CL
Comment 2 raal 2017-08-25 09:56:08 UTC
This seems to have begun at the below commit.
Adding Cc: to Tomaž Vajngerl ; Could you possibly take a look at this one?
Thanks

ec729e9c933b6a9dd547adc99fddccc4230ccca5 is the first bad commit
commit ec729e9c933b6a9dd547adc99fddccc4230ccca5
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Feb 28 02:10:44 2017 +0100

    source sha:a57a890f286d9f63d0c2a1d23f7fac7092681a63

author	Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>	2017-02-27 16:12:54 (GMT)
committer	Tomaž Vajngerl <quikee@gmail.com>	2017-02-27 17:35:35 (GMT)
commit	a57a890f286d9f63d0c2a1d23f7fac7092681a63 (patch)
tree	9f5b4ead4e175b183412c3b2e8ee3d2c3224300a
parent	451d37279571b36e63ef34c4f6cc940a7dbda804 (diff)
chart: use c++11 for-statement in VSeriesPlotter
Comment 3 Xisco Faulí 2017-09-06 21:33:53 UTC
Submitted a patch to gerrit: https://gerrit.libreoffice.org/#/c/42031/
Comment 4 Tomaz Vajngerl 2017-09-07 09:48:11 UTC
Xisco: Thanks for looking into that. I currently can't login into gerrit as my OpenID provider is down, but feel free to merge it.
Comment 5 Commit Notification 2017-09-07 10:10:29 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=493d10b828ec475f63d399a98ba9b55b9766ee25

tdf#112006: the result is different using getFirstSeries

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Jacques Guilleron 2017-09-09 10:01:10 UTC
The labels "Mary" and "Tom" are visible with
LO  6.0.0.0.alpha0+ Build ID: a45800f010f3e063c6f31426fcdba76aa5b43d3e
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-09-09_00:43:08
Locale: fr-FR (fr_FR); Calc: CL
Thank you, Xisco.
Comment 7 Commit Notification 2017-09-15 15:26:55 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef64fc4de91c91438f895d94431b5d124f04961c&h=libreoffice-5-4

tdf#112006: the result is different using getFirstSeries

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.